package com.hzs.system.board.mapper;

import com.hzs.system.board.vo.BoardAchieveVO;
import com.hzs.system.board.vo.BoardMemberLevelVO;
import com.hzs.system.board.vo.BoardMemberVO;
import com.hzs.system.board.vo.BoardRechargeAccountVO;

import java.util.List;

/**
 * 首页看板 mapper
 */
public interface BoardMapper {

    /**
     * 查询会员汇总数据
     *
     * @return
     */
    BoardMemberVO getMemberBoard();

    /**
     * 查询会员等级数据
     *
     * @return
     */
    List<BoardMemberLevelVO> listMemberLevelBoard();

    /**
     * 查询日业绩汇总数据
     *
     * @return
     */
    List<BoardAchieveVO> getDayAchieve();

    /**
     * 查询月业绩汇总数据
     *
     * @return
     */
    BoardAchieveVO getMonthAchieve();

    /**
     * 各币种充值数据
     *
     * @return
     */
    List<BoardRechargeAccountVO> listAccountRechargeBoard();

}
